---
interface Props {
  title: string;
}

const { title } = Astro.props;
---

<!doctype html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="description" content="Astro description" />
    <meta name="viewport" content="width=device-width" />
    <link rel="icon" type="image/svg+xml" href="/favicon.png" />
    <title>{title}</title>
  </head>
  <body class="bg-neutral-800 text-white min-h-screen max-w-screen">
    <slot />
  </body>
</html>

<style is:global>
  @import url("https://fonts.googleapis.com/css2?family=Nunito+Sans:ital,opsz,wght@0,6..12,200..1000;1,6..12,200..1000&display=swap");

  html {
    overflow-y: auto;
    scrollbar-gutter: stable;
  }
  * {
    box-sizing: border-box;
    font-family: "Nunito Sans", sans-serif;
  }
</style>
